Package com.independentsoft.office.drawing.extensions

# Class C14PivotOptions

java.lang.Object
com.independentsoft.office.drawing.extensions.C14PivotOptions

All Implemented Interfaces:
  `IExtensionContent`

public class C14PivotOptions extends Object implements IExtensionContent
Represents the pivot-chart options extension (`c14:pivotOptions`) that stores the visibility of pivot chart drop zones (uri `{781A3756-C4B2-4CAC-9D66-4F8BD8637D16}`).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `NAMESPACE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `C14PivotOptions()`
  Instantiates a new c14 pivot options.
  `C14PivotOptions​(InternalXMLStreamReader reader)`
  Instantiates a new c14 pivot options.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IExtensionContent`
  `clone()`
  Clone.
  `String`
  `getDropZoneCategories()`
  Gets the categories drop zone visibility (`c14:dropZoneCategories` val).
  `String`
  `getDropZoneData()`
  Gets the data drop zone visibility (`c14:dropZoneData` val).
  `String`
  `getDropZoneFilter()`
  Gets the filter drop zone visibility (`c14:dropZoneFilter` val).
  `String`
  `getDropZoneSeries()`
  Gets the series drop zone visibility (`c14:dropZoneSeries` val).
  `String`
  `getDropZonesVisible()`
  Gets whether the drop zones are visible (`c14:dropZonesVisible` val).
  `void`
  `setDropZoneCategories​(String dropZoneCategories)`
  Sets the categories drop zone visibility (`c14:dropZoneCategories` val).
  `void`
  `setDropZoneData​(String dropZoneData)`
  Sets the data drop zone visibility (`c14:dropZoneData` val).
  `void`
  `setDropZoneFilter​(String dropZoneFilter)`
  Sets the filter drop zone visibility (`c14:dropZoneFilter` val).
  `void`
  `setDropZoneSeries​(String dropZoneSeries)`
  Sets the series drop zone visibility (`c14:dropZoneSeries` val).
  `void`
  `setDropZonesVisible​(String dropZonesVisible)`
  Sets whether the drop zones are visible (`c14:dropZonesVisible` val).
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### NAMESPACE

    public static final String NAMESPACE
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### C14PivotOptions

    public C14PivotOptions()
    Instantiates a new c14 pivot options.

  - ### C14PivotOptions

    public C14PivotOptions​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new c14 pivot options.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the XML stream exception

- ## Method Details

  - ### clone

    public IExtensionContent clone()
    Description copied from interface: `IExtensionContent`
    Clone.
    Specified by:
      `clone` in interface `IExtensionContent`
    Overrides:
      `clone` in class `Object`
    Returns:
      the extension content

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getDropZoneFilter

    public String getDropZoneFilter()
    Gets the filter drop zone visibility (`c14:dropZoneFilter` val). Null when the child element is absent.
    Returns:
      the drop zone filter

  - ### setDropZoneFilter

    public void setDropZoneFilter​(String dropZoneFilter)
    Sets the filter drop zone visibility (`c14:dropZoneFilter` val). Null when the child element is absent.
    Parameters:
      `dropZoneFilter` - the new drop zone filter

  - ### getDropZoneCategories

    public String getDropZoneCategories()
    Gets the categories drop zone visibility (`c14:dropZoneCategories` val). Null when the child element is absent.
    Returns:
      the drop zone categories

  - ### setDropZoneCategories

    public void setDropZoneCategories​(String dropZoneCategories)
    Sets the categories drop zone visibility (`c14:dropZoneCategories` val). Null when the child element is absent.
    Parameters:
      `dropZoneCategories` - the new drop zone categories

  - ### getDropZoneData

    public String getDropZoneData()
    Gets the data drop zone visibility (`c14:dropZoneData` val). Null when the child element is absent.
    Returns:
      the drop zone data

  - ### setDropZoneData

    public void setDropZoneData​(String dropZoneData)
    Sets the data drop zone visibility (`c14:dropZoneData` val). Null when the child element is absent.
    Parameters:
      `dropZoneData` - the new drop zone data

  - ### getDropZoneSeries

    public String getDropZoneSeries()
    Gets the series drop zone visibility (`c14:dropZoneSeries` val). Null when the child element is absent.
    Returns:
      the drop zone series

  - ### setDropZoneSeries

    public void setDropZoneSeries​(String dropZoneSeries)
    Sets the series drop zone visibility (`c14:dropZoneSeries` val). Null when the child element is absent.
    Parameters:
      `dropZoneSeries` - the new drop zone series

  - ### getDropZonesVisible

    public String getDropZonesVisible()
    Gets whether the drop zones are visible (`c14:dropZonesVisible` val). Null when the child element is absent.
    Returns:
      the drop zones visible

  - ### setDropZonesVisible

    public void setDropZonesVisible​(String dropZonesVisible)
    Sets whether the drop zones are visible (`c14:dropZonesVisible` val). Null when the child element is absent.
    Parameters:
      `dropZonesVisible` - the new drop zones visible